NestedWriteNestingTag (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.nested
Class NestedWriteNestingTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.nested.NestedWriteNestingTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, Tag

    public class NestedWriteNestingTag

extends BodyTagSupport

NestedWriteNestingTag. Created so developers could have a more elegant way of getting to the underlying nested property their tag properties are referencing.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`NestedWriteNestingTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()` Overriding method of the heart of the tag.
`boolean` | `getFilter()` Getter method for the filter property
`String` | `getId()` Getter method for the id property
`String` | `getProperty()` Getter method for the property property
`void` | `release()` JSP method to release all resources held by the tag.
`void` | `setFilter(boolean newFilter)` Setter method for the filter property
`void` | `setId(String id)` Setter method for the id property
`void` | `setProperty(String newProperty)` Setter method for the property property

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### NestedWriteNestingTag

    public NestedWriteNestingTag()

Method Detail

### getProperty

    public String getProperty()

  Getter method for the property property

  Returns:
    String value of the property property

### setProperty

    public void setProperty(String newProperty)

  Setter method for the property property

  Parameters:
    `newProperty` - new value for the property property

### getId

    public String getId()

  Getter method for the id property

  Overrides:
    `getId` in class `TagSupport`
  Returns:
    String value for the id property

### setId

    public void setId(String id)

  Setter method for the id property

  Overrides:
    `setId` in class `TagSupport`
  Parameters:
    `id` - new value for the id property

### getFilter

    public boolean getFilter()

  Getter method for the filter property

  Returns:
    String value of the filter property

### setFilter

    public void setFilter(boolean newFilter)

  Setter method for the filter property

  Parameters:
    `newFilter` - new value for the filter property

### doStartTag

    public int doStartTag()
                   throws JspException

  Overriding method of the heart of the tag. Gets the relative property and tells the JSP engine to evaluate its body content.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
  Returns:
    int JSP continuation directive.
  Throws:
    `JspException`

### doEndTag

    public int doEndTag()
                 throws JspException

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Throws:
    `JspException`

### release

    public void release()

  JSP method to release all resources held by the tag.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BodyTagSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.